Bug 1615440 - turn off brick multiplexing for stand alone RHGS
Summary: turn off brick multiplexing for stand alone RHGS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Vinayak Papnoi
URL:
Whiteboard:
Depends On:
Blocks: 1503132
TreeView+ depends on / blocked
 
Reported: 2018-08-13 15:15 UTC by Atin Mukherjee
Modified: 2018-09-04 06:53 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.12.2-16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:52:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:53:50 UTC

Description Atin Mukherjee 2018-08-13 15:15:21 UTC
Description of problem:

brick multiplexing was enabled by default for RHGS 3.4.0 to ensure it gets exercised through the testing cycle and uncover important issues so that development can fix these well ahead of time to make it more stable.

At RHGS 3.4.0 testing phase there were few perf regressions identified (applicable to standlone RHGS but not OCS)


1. https://bugzilla.redhat.com/show_bug.cgi?id=1598056  (mkdir regression, seen in 24 * 3 volumes, but not in 1 * 3)
2. https://bugzilla.redhat.com/show_bug.cgi?id=1598424 (rmdir regression, seen in 24 * 3 volumes, but not in 1 * 3)
3. https://bugzilla.redhat.com/show_bug.cgi?id=1610658 - (CPU shoots up to 1900% during directory operation with 24 * 3 volumes, but not in 1 * 3)

So the decision was to continue having brick multiplexing enabled by default for OCS. This BZ is filed to ensure we turn this option off by default.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Vinayak Papnoi 2018-08-20 06:17:22 UTC
On (older) build version glusterfs-3.12.2-12.el7rhgs.x86_64 :

# gluster v get all all
Option                                  Value                                   
------                                  -----                                   
cluster.server-quorum-ratio             51                                      
cluster.enable-shared-storage           disable                                 
cluster.op-version                      31302                                   
cluster.max-op-version                  31302                                   
cluster.brick-multiplex                 enable                                  
cluster.max-bricks-per-process          0  


After performing upgrade to build glusterfs-3.12.2-16.el7rhgs.x86_64 :

# gluster v get all all
Option                                  Value                                   
------                                  -----                                   
cluster.server-quorum-ratio             51                                      
cluster.enable-shared-storage           disable                                 
cluster.op-version                      31302                                   
cluster.max-op-version                  31302                                   
cluster.brick-multiplex                 disable                                 
cluster.max-bricks-per-process          0                                       
cluster.daemon-log-level                INFO                                    


Brick-multiplexing is disabled by default in the build "glusterfs-3.12.2-16.el7rhgs.x86_64"

Hence, moving bug to VERIFIED.

Comment 5 errata-xmlrpc 2018-09-04 06:52:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.